/*    SubKESR . */

/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA ADD (tempSubKESR varchar2(20))
/

update LAYERDATA set tempSubKESR = SubKESR
/

DROP INDEX IDX_LAYERDATA_SubKESR
/

ALTER TABLE LAYERDATA DROP (SubKESR)
/

ALTER TABLE LAYERDATA ADD (SubKESR varchar2(20))
/

update LAYERDATA set SubKESR = tempSubKESR
/

ALTER TABLE LAYERDATA DROP (tempSubKESR)
/

CREATE INDEX IDX_LAYERDATA_SubKESR ON LAYERDATA(SubKESR)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE
  v_exists INTEGER;
BEGIN
  SELECT COUNT(*)
  INTO v_exists
  FROM USER_TAB_COLUMNS
  WHERE TABLE_NAME = 'LAYERDATA'
  AND COLUMN_NAME = 'SUBKESR'
  AND DATA_TYPE = 'NUMBER';
  IF (v_exists > 0) THEN
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA ADD (tempSubKESR varchar2(20))';
    EXECUTE IMMEDIATE 'update LAYERDATA set tempSubKESR = SubKESR';
    EXECUTE IMMEDIATE 'DROP INDEX IDX_LAYERDATA_SubKESR';
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA DROP (SubKESR)';
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA ADD (SubKESR varchar2(20))';
    EXECUTE IMMEDIATE 'update LAYERDATA set SubKESR = tempSubKESR';
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA DROP (tempSubKESR)';
    EXECUTE IMMEDIATE 'CREATE INDEX IDX_LAYERDATA_SubKESR ON LAYERDATA(SubKESR)';
    EXECUTE IMMEDIATE 'COMMIT WORK';
  END IF;
END;
/
