/*    SubKESR . */

/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA_GU ADD (tempSubKESR varchar2(20))
/

update LAYERDATA_GU set tempSubKESR = SubKESR
/

DROP INDEX IDX_LD_GU_SubKESR
/

ALTER TABLE LAYERDATA_GU DROP (SubKESR)
/

ALTER TABLE LAYERDATA_GU ADD (SubKESR varchar2(20))
/

update LAYERDATA_GU set SubKESR = tempSubKESR
/

ALTER TABLE LAYERDATA_GU DROP (tempSubKESR)
/

CREATE INDEX IDX_LAYERDATA_SubKESR ON LAYERDATA_GU(SubKESR)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE
  v_exists INTEGER;
BEGIN
  SELECT COUNT(*)
  INTO v_exists
  FROM USER_TABLES
  WHERE TABLE_NAME = 'LAYERDATA_GU';
  IF (v_exists > 0) THEN
    SELECT COUNT(*)
    INTO v_exists
    FROM USER_TAB_COLUMNS
    WHERE TABLE_NAME = 'LAYERDATA_GU'
    AND COLUMN_NAME = 'SUBKESR'
    AND DATA_TYPE = 'NUMBER';
    IF (v_exists > 0) THEN
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_GU ADD (tempSubKESR varchar2(20))';
      EXECUTE IMMEDIATE 'update LAYERDATA_GU set tempSubKESR = SubKESR';
      EXECUTE IMMEDIATE 'DROP INDEX IDX_LD_GU_SubKESR';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_GU DROP (SubKESR)';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_GU ADD (SubKESR varchar2(20))';
      EXECUTE IMMEDIATE 'update LAYERDATA_GU set SubKESR = tempSubKESR';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_GU DROP (tempSubKESR)';
      EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_GU_SubKESR ON LAYERDATA_GU(SubKESR)';
      EXECUTE IMMEDIATE 'COMMIT WORK';
    END IF;
  END IF;
END;
/
